package com.lantone.qc.kernel.structure.ai.process;

import com.alibaba.fastjson.JSONObject;
import com.lantone.qc.kernel.structure.ai.model.CrfOut;
import com.lantone.qc.kernel.structure.ai.model.EntityEnum;
import com.lantone.qc.pub.model.entity.Diag;
import com.lantone.qc.pub.model.entity.Possible;
import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class EntityProcessDiag extends EntityProcess {
    @Override
    public void extractEntity(JSONObject outputs, CrfOut outputInfo) {
        List<Diag> diagnose = new ArrayList<>();
        Diag diag = null;
        List<Map<String, String>> diagEntityList = processJson(outputs, EntityEnum.DIEASE.toString());
        for (Map<String, String> diagEntityMap : diagEntityList) {
            if (StringUtils.isEmpty(diagEntityMap.get(EntityEnum.DIEASE.toString()))) {
                continue;
            }
            diag = new Diag();
            for (String key : diagEntityMap.keySet()) {
                String value = StringUtils.isEmpty(diagEntityMap.get(key)) ? "" : diagEntityMap.get(key);
                switch (EntityEnum.parseOfValue(key)) {
                    case DIEASE:
                        diag.setName(value);
                        break;
                    case POSSIBLE:
                        Possible possible = new Possible();
                        possible.setName(value);
                        diag.setPossible(possible);
                        break;
                }
            }
            diagnose.add(diag);
        }
        outputInfo.setDiags(diagnose);
    }
}
