package com.lantone.qc.kernel.structure.ai.process;

import com.alibaba.fastjson.JSONObject;
import com.lantone.qc.kernel.structure.ai.model.CrfOut;
import com.lantone.qc.kernel.structure.ai.model.EntityEnum;
import com.lantone.qc.pub.model.entity.BodyPart;
import com.lantone.qc.pub.model.entity.Pacs;
import com.lantone.qc.pub.model.entity.PacsValue;
import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class EntityProcessPacs extends EntityProcess {
    @Override
    public void extractEntity(JSONObject outputs, CrfOut outputInfo) {
        List<Pacs> pacses = new ArrayList<>();
        Pacs pacs = null;
        List<Map<String, String>> pacsEntityList = processJson(outputs, EntityEnum.AUXILIARY_EXAMINATION.toString());
        for (Map<String, String> pacsEntityMap : pacsEntityList) {
            if (StringUtils.isEmpty(pacsEntityMap.get(EntityEnum.AUXILIARY_EXAMINATION.toString()))) {
                continue;
            }
            pacs = new Pacs();
            for (String key : pacsEntityMap.keySet()) {
                String entity = StringUtils.isEmpty(pacsEntityMap.get(key)) ? "" : pacsEntityMap.get(key);
                switch (EntityEnum.parseOfValue(key)) {
                    case AUXILIARY_EXAMINATION:
                        pacs.setName(entity);
                        break;
                    case AUXILIARY_DESCRIPT:
                        PacsValue pacsValue = new PacsValue();
                        pacsValue.setName(entity);
                        pacs.setPacsValues(pacsValue);
                        break;
                    case BODY:
                        BodyPart bodyPart = new BodyPart();
                        bodyPart.setName(entity);
                        pacs.setBodyPart(bodyPart);
                        break;
                }
            }
            pacses.add(pacs);
        }
        outputInfo.setPacses(pacses);
    }
}
