package com.lantone.qc.pub.model;

import com.lantone.qc.pub.model.doc.*;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName : InputInfo
 * @Description : 医院质控病历录入对象
 * @Author : 楼辉荣
 * @Date: 2020-03-04 15:39
 */
@Getter
@Setter
public class InputInfo {
    private Map<String, Map<String, String>> inputCatalogueMap = new HashMap<>();
    //入院病历
    private BeHospitalizedDoc beHospitalizedDoc;
    //临床用血审核制度
    private ClinicalBloodDoc clinicalBloodDoc;
    //会诊制度
    private ConsultationDoc consultationDoc;
    //死亡病例讨论制度
    private DeathCaseDiscussDoc deathCaseDiscussDoc;
    //死亡记录
    private DeathRecordDoc deathRecordDoc;
    //疑难病例讨论制度
    private DifficultCaseDiscussDoc difficultCaseDiscussDoc;
    //值班交接制度
    private DutyShiftSystemDoc dutyShiftSystemDoc;
    //首次病程录
    private FirstCourseRecordDoc firstCourseRecordDoc;
    //病案首页
    private FirstPageRecordDoc firstPageRecordDoc;
    //出院小结
    private LeaveHospitalDoc leaveHospitalDoc;
    //分级护理制度
    private NursingSystemDoc nursingSystemDoc;
    //围手术期病历讨论及记录
    private OperationDiscussionDoc operationDiscussionDoc;
    //术前讨论制度
    private PreoperativeDiscussionDoc preoperativeDiscussionDoc;
    //三级查房制度测试
    private ThreeLevelWardDoc threeLevelWardDoc;
}