package com.lantone.qc.pub.model.doc;

import com.lantone.qc.pub.model.label.*;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName : InHospitalDoc
 * @Description : 入院记录文档
 * @Author : 楼辉荣
 * @Date: 2020-03-03 18:58
 */
@Getter
@Setter
public class BeHospitalizedDoc {
    //入院病历所有结构化信息存储
    private Map<String, String> structureMap = new HashMap<>();
    //主诉
    private ChiefLabel chiefLabel;
    //现病史
    private PresentLabel presentLabel;
    //既往史
    private PastLabel pastLabel;
    //个人史
    private PersonalLabel personalLabel;
    //婚育史
    private MaritalLabel maritalLabel;
    //月经史
    private MenstrualLabel menstrualLabel;
    //家族史
    private FamilyLabel familyLabel;
    //体格检查
    private VitalLabel vitalLabel;
    //专科体格检查
    private VitalLabelSpecial vitalLabelSpecial;
    //辅助检查
    private PacsLabel pacsLabel;
    //初步诊断
    private InitialDiagLabel initialDiagLabel;
    //修正诊断
    private RevisedDiagLabel revisedDiagLabel;
    //补充诊断
    private SuppleDiagLabel suppleDiagLabel;
}