package com.lantone.qc.trans.comsis;

import com.lantone.qc.pub.model.doc.BeHospitalizedDoc;
import com.lantone.qc.pub.model.label.ChiefLabel;
import com.lantone.qc.pub.model.label.FamilyLabel;
import com.lantone.qc.pub.model.label.InitialDiagLabel;
import com.lantone.qc.pub.model.label.MaritalLabel;
import com.lantone.qc.pub.model.label.MenstrualLabel;
import com.lantone.qc.pub.model.label.PacsLabel;
import com.lantone.qc.pub.model.label.PastLabel;
import com.lantone.qc.pub.model.label.PersonalLabel;
import com.lantone.qc.pub.model.label.PresentLabel;
import com.lantone.qc.pub.model.label.RevisedDiagLabel;
import com.lantone.qc.pub.model.label.SuppleDiagLabel;
import com.lantone.qc.pub.model.label.VitalLabel;
import com.lantone.qc.pub.model.label.VitalLabelSpecial;

import java.util.Map;

/**
 * 各个模块文档生成，各地公用
 *
 * @Description:
 * @author: rengb
 * @time: 2020/3/6 10:15
 */
public class ModelDocGenerate {

    /**
     * 入院记录
     *
     * @param structureMap
     * @return
     */
    public BeHospitalizedDoc beHospitalizedDocGen(Map<String, String> structureMap) {
        BeHospitalizedDoc beHospitalizedDoc = new BeHospitalizedDoc();
        beHospitalizedDoc.setStructureMap(structureMap);

        ChiefLabel chiefLabel = new ChiefLabel();
        chiefLabel.setText(structureMap.get("主诉"));
        beHospitalizedDoc.setChiefLabel(chiefLabel);

        PresentLabel presentLabel = new PresentLabel();
        presentLabel.setText(structureMap.get("现病史"));
        beHospitalizedDoc.setPresentLabel(presentLabel);

        PastLabel pastLabel = new PastLabel();
        pastLabel.setText(structureMap.get("既往史"));
        beHospitalizedDoc.setPastLabel(pastLabel);

        PersonalLabel personalLabel = new PersonalLabel();
        personalLabel.setText(structureMap.get("个人史"));
        beHospitalizedDoc.setPersonalLabel(personalLabel);

        MaritalLabel maritalLabel = new MaritalLabel();
        maritalLabel.setText(structureMap.get("婚育史"));
        beHospitalizedDoc.setMaritalLabel(maritalLabel);

        MenstrualLabel menstrualLabel = new MenstrualLabel();
        menstrualLabel.setText(structureMap.get("月经史"));
        beHospitalizedDoc.setMenstrualLabel(menstrualLabel);

        FamilyLabel familyLabel = new FamilyLabel();
        familyLabel.setText(structureMap.get("家族史"));
        beHospitalizedDoc.setFamilyLabel(familyLabel);

        VitalLabel vitalLabel = new VitalLabel();
        vitalLabel.setText(structureMap.get("体格检查"));
        beHospitalizedDoc.setVitalLabel(vitalLabel);

        VitalLabelSpecial vitalLabelSpecial = new VitalLabelSpecial();
        vitalLabelSpecial.setText(structureMap.get("专科体格检查"));
        beHospitalizedDoc.setVitalLabelSpecial(vitalLabelSpecial);

        PacsLabel pacsLabel = new PacsLabel();
        pacsLabel.setText(structureMap.get("辅助检查"));
        beHospitalizedDoc.setPacsLabel(pacsLabel);

        InitialDiagLabel initialDiagLabel = new InitialDiagLabel();
        initialDiagLabel.setText(structureMap.get("初步诊断"));
        beHospitalizedDoc.setInitialDiagLabel(initialDiagLabel);

        RevisedDiagLabel revisedDiagLabel = new RevisedDiagLabel();
        revisedDiagLabel.setText(structureMap.get("修正诊断"));
        beHospitalizedDoc.setRevisedDiagLabel(revisedDiagLabel);

        SuppleDiagLabel suppleDiagLabel = new SuppleDiagLabel();
        suppleDiagLabel.setText(structureMap.get("补充诊断"));
        beHospitalizedDoc.setSuppleDiagLabel(suppleDiagLabel);

        return beHospitalizedDoc;
    }

}